import Pyro.core
import Pyro.naming
import calculator
import sys
class CalculatorProxy(Pyro.core.ObjBase, calculator.Calculator):
    def __init__(self):
        Pyro.core.ObjBase.__init__(self)
try:
    hostname = sys.argv[1]
except IndexError:
    print 'Please give hostname as command line argument.'
    print 'It will be used to register the calculator with the NS.'
    print 'Example: hostname:node1, object_name:calculator_node1'
Pyro.core.initServer()
ns=Pyro.naming.NameServerLocator().getNS()
daemon=Pyro.core.Daemon()
daemon.useNameServer(ns)
uri=daemon.connect(CalculatorProxy(),'calculator_%s' %hostname)
print 'Server with object calcualtor_%s is ready.' %hostname
daemon.requestLoop()
